Package org.gitana.platform.client.billing

# Class BillingTransactionImpl

java.lang.Object
org.gitana.platform.support.GitanaObjectImpl
org.gitana.platform.client.billing.BillingTransactionImpl

All Implemented Interfaces:
  `Serializable`, `BillingTransaction`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`

public class BillingTransactionImpl extends org.gitana.platform.support.GitanaObjectImpl implements BillingTransaction

Author:
  uzi
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.gitana.platform.support.GitanaObjectImpl

`serialVersionUID`

### Fields inherited from interface org.gitana.platform.client.billing.BillingTransaction

`FIELD_AMOUNT, FIELD_CREATED_ON, FIELD_CURRENCY_ISO_CODE, FIELD_ID, FIELD_PAYMENT_METHOD_NUMBER_MASKED, FIELD_PAYMENT_METHOD_TYPE, FIELD_PLAN_KEY, FIELD_TAX_AMOUNT`

## Constructor Summary

Constructors
Constructor
Description
`BillingTransactionImpl(Tenant tenant, com.fasterxml.jackson.databind.node.ObjectNode obj)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`generateReceipt(String template)`
Downloads the receipt in PDF.
`BigDecimal`
`getAmount()`
`Calendar`
`getCreatedOn()`
`String`
`getCurrencyIsoCode()`
`protected Driver`
`getDriver()`
`String`
`getId()`
`String`
`getPaymentMethodNumberMasked()`
`String`
`getPaymentMethodType()`
`String`
`getPlanKey()`
`protected Remote`
`getRemote()`
`protected String`
`getResourceUri()`
`BigDecimal`
`getTaxAmount()`
`Tenant`
`getTenant()`
`void`
`setAmount(BigDecimal amount)`
`void`
`setCreatedOn(Calendar createdOn)`
`void`
`setCurrencyIsoCode(String currencyIsoCode)`
`void`
`setPaymentMethodNumberMasked(String paymentMethodNumberMasked)`
`void`
`setPaymentMethodType(String paymentMethodType)`
`void`
`setPlanKey(String planKey)`
`void`
`setTaxAmount(BigDecimal taxAmount)`

### Methods inherited from class org.gitana.platform.support.GitanaObjectImpl

`_objectGetFloat, _objectGetInt, _objectGetLong, _objectGetObject, _objectGetString, _objectSet, get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, putObject, remove, set, toJSON, toJSONString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

## Constructor Details

### BillingTransactionImpl

public BillingTransactionImpl(Tenant tenant, com.fasterxml.jackson.databind.node.ObjectNode obj)

## Method Details

### getResourceUri

protected String getResourceUri()

### getDriver

protected Driver getDriver()

### getRemote

protected Remote getRemote()

### getTenant

public Tenant getTenant()

Specified by:
  `getTenant` in interface `BillingTransaction`

### getId

public String getId()

Specified by:
  `getId` in interface `BillingTransaction`

### setAmount

public void setAmount(BigDecimal amount)

Specified by:
  `setAmount` in interface `BillingTransaction`

### getAmount

public BigDecimal getAmount()

Specified by:
  `getAmount` in interface `BillingTransaction`

### setPaymentMethodType

public void setPaymentMethodType(String paymentMethodType)

Specified by:
  `setPaymentMethodType` in interface `BillingTransaction`

### getPaymentMethodType

public String getPaymentMethodType()

Specified by:
  `getPaymentMethodType` in interface `BillingTransaction`

### setPaymentMethodNumberMasked

public void setPaymentMethodNumberMasked(String paymentMethodNumberMasked)

Specified by:
  `setPaymentMethodNumberMasked` in interface `BillingTransaction`

### getPaymentMethodNumberMasked

public String getPaymentMethodNumberMasked()

Specified by:
  `getPaymentMethodNumberMasked` in interface `BillingTransaction`

### setCreatedOn

public void setCreatedOn(Calendar createdOn)

Specified by:
  `setCreatedOn` in interface `BillingTransaction`

### getCreatedOn

public Calendar getCreatedOn()

Specified by:
  `getCreatedOn` in interface `BillingTransaction`

### setCurrencyIsoCode

public void setCurrencyIsoCode(String currencyIsoCode)

Specified by:
  `setCurrencyIsoCode` in interface `BillingTransaction`

### getCurrencyIsoCode

public String getCurrencyIsoCode()

Specified by:
  `getCurrencyIsoCode` in interface `BillingTransaction`

### setPlanKey

public void setPlanKey(String planKey)

Specified by:
  `setPlanKey` in interface `BillingTransaction`

### getPlanKey

public String getPlanKey()

Specified by:
  `getPlanKey` in interface `BillingTransaction`

### setTaxAmount

public void setTaxAmount(BigDecimal taxAmount)

Specified by:
  `setTaxAmount` in interface `BillingTransaction`

### getTaxAmount

public BigDecimal getTaxAmount()

Specified by:
  `getTaxAmount` in interface `BillingTransaction`

### generateReceipt

public byte[] generateReceipt(String template)
Description copied from interface: `BillingTransaction`
Downloads the receipt in PDF.

Specified by:
  `generateReceipt` in interface `BillingTransaction`
Returns:
  attachment